Accounts APIAccount holder verification
Get account holder verification details
GET
BearerAuthheader
AuthorizationBearer <JWT>id*stringThe unique identifier of the account holder verification.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1Verification status and name-matching results.
application/json- response
id?stringId of Account Holder Verification Process.
Format
uuidtransactionId?stringId of Transaction.
Format
uuidstatus?stringStatus of Account Holder Verification Process.
Value in
"COMPLETED""PROCESSING""FAILED"accountHolderName?result?VerificationResultThe outcome of the Account Holder Verification (AHV) process. This indicates the degree of similarity between the provided beneficiary name and the name registered at the destination bank.
Value in
"MATCH""CLOSE_MATCH""NO_MATCH""ERROR"executedAt?stringTimestamp of Account Holder Verification Execution.
Format
date-timedecision?Records of manual approvals or rejections.
_links?curl -X GET 'https://accounts.sandbox.volt.io/account-holder-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'X-Volt-Api-Version: 1'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc", "status": "COMPLETED", "accountHolderName": { "requested": "string", "returned": "string" }, "result": "MATCH", "executedAt": "2019-08-24T14:15:22Z", "decision": { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" }, "type": "APPROVED", "subject": "ACCOUNT_HOLDER_VERIFICATION", "createdAt": "2019-08-24T14:15:22Z" }, "_links": { "self": { "href": "http://example.com", "method": "GET" }, "transaction": { "href": "http://example.com", "method": "GET" } }}